---
title: Get the current status of an interconnect object
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Network Interconnects](https://developers.cloudflare.com/api/go/resources/network_interconnects)

[Interconnects](https://developers.cloudflare.com/api/go/resources/network_interconnects/subresources/interconnects)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get the current status of an interconnect object

client.NetworkInterconnects.Interconnects.Status(ctx, icon, query) (\*[InterconnectStatusResponse](<https://developers.cloudflare.com/api/go/resources/network_interconnects#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20InterconnectStatusResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/cni/interconnects/{icon}/status

Gets the current operational status of a network interconnect, including link state and traffic metrics.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic WAN Write``Magic WAN Read``Magic Transit Read``Magic Transit Write`

##### ParametersExpand Collapse

icon string

[Link to this property](<#(resource)%20network_interconnects.interconnects%20%3E%20(method)%20status%20%3E%20(params)%20default%20%3E%20(param)%20icon%20%3E%20(schema)>)

<details>

<summary>

query InterconnectStatusParams

</summary>

AccountID param.Field\[string]

Customer account tag

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(method)%20status%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20network_interconnects.interconnects%20%3E%20(method)%20status%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type InterconnectStatusResponse interface{…}

</summary>

One of the following:

<details>

<summary>

type InterconnectStatusResponsePending struct{…}

</summary>

State InterconnectStatusResponsePendingState

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20InterconnectStatusResponse%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20state">Link to this property</a>

</details>

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20InterconnectStatusResponse%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

type InterconnectStatusResponseDown struct{…}

</summary>

State InterconnectStatusResponseDownState

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20InterconnectStatusResponse%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20state">Link to this property</a>

Reason stringOptional

Diagnostic information, if available

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20InterconnectStatusResponse%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20reason">Link to this property</a>

</details>

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20InterconnectStatusResponse%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

<details>

<summary>

type InterconnectStatusResponseUnhealthy struct{…}

</summary>

State InterconnectStatusResponseUnhealthyState

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20InterconnectStatusResponse%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20state">Link to this property</a>

Reason stringOptional

Diagnostic information, if available

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20InterconnectStatusResponse%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20reason">Link to this property</a>

</details>

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20InterconnectStatusResponse%20%3E%20(schema)%20%3E%20(variant)%202">Link to this property</a>

<details>

<summary>

type InterconnectStatusResponseHealthy struct{…}

</summary>

State InterconnectStatusResponseHealthyState

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20InterconnectStatusResponse%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20state">Link to this property</a>

</details>

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20InterconnectStatusResponse%20%3E%20(schema)%20%3E%20(variant)%203">Link to this property</a>

</details>

[Link to this property](<#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20InterconnectStatusResponse%20%3E%20(schema)>)

### Get the current status of an interconnect object

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/network_interconnects"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.NetworkInterconnects.Interconnects.Status(
    context.TODO(),
    "icon",
    network_interconnects.InterconnectStatusParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response)
}
```

200 example

```
{
  "state": "Pending"
}
```

##### Returns Examples

200 example

```
{
  "state": "Pending"
}
```